Bug 1118767 - Some JGroups attributes not available via JMX
Summary: Some JGroups attributes not available via JMX
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: JGroups
Version: 6.3.0,6.4.0,6.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER7
: 6.4.0
Assignee: Dave Stahl
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 13:34 UTC by Vojtech Juranek
Modified: 2015-11-09 01:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Vojtech Juranek 2014-07-11 13:34:55 UTC
Description of problem:
When trying to access some attributes via JMX, following exception is thrown and attributes cannot be access. I spot it in case of ENCRYPT protocol, but IMHO it's quite likely this could happen also in other cases. In upstream (JGroups 3.5.0.Beta9) this doesn't happen.

13:07:06,092 WARN  [org.jgroups.jmx.ResourceDMBean] (RMI TCP Connection(1)-127.0.0.1) JGRP000007: failed reading value of attribute asym_algorithm: java.lang.IllegalAccessException: Class org.jgroups.jmx.ResourceDMBean$MethodAccessor can not access a member of class org.jgroups.protocols.ENCRYPT with modifiers "protected"
13:07:06,094 WARN  [org.jgroups.jmx.ResourceDMBean] (RMI TCP Connection(1)-127.0.0.1) Did not find attribute asym_algorithm
13:07:06,095 WARN  [org.jgroups.jmx.ResourceDMBean] (RMI TCP Connection(1)-127.0.0.1) JGRP000007: failed reading value of attribute asym_init: java.lang.IllegalAccessException: Class org.jgroups.jmx.ResourceDMBean$MethodAccessor can not access a member of class org.jgroups.protocols.ENCRYPT with modifiers "protected"
13:07:06,096 WARN  [org.jgroups.jmx.ResourceDMBean] (RMI TCP Connection(1)-127.0.0.1) Did not find attribute asym_init
13:07:06,096 WARN  [org.jgroups.jmx.ResourceDMBean] (RMI TCP Connection(1)-127.0.0.1) JGRP000007: failed reading value of attribute asym_provider: java.lang.IllegalAccessException: Class org.jgroups.jmx.ResourceDMBean$MethodAccessor can not access a member of class org.jgroups.protocols.ENCRYPT with modifiers "protected"
13:07:06,106 WARN  [org.jgroups.jmx.ResourceDMBean] (RMI TCP Connection(1)-127.0.0.1) Did not find attribute asym_provider
13:07:06,107 WARN  [org.jgroups.jmx.ResourceDMBean] (RMI TCP Connection(1)-127.0.0.1) JGRP000007: failed reading value of attribute key_store_name: java.lang.IllegalAccessException: Class org.jgroups.jmx.ResourceDMBean$MethodAccessor can not access a member of class org.jgroups.protocols.ENCRYPT with modifiers "protected"
13:07:06,113 WARN  [org.jgroups.jmx.ResourceDMBean] (RMI TCP Connection(1)-127.0.0.1) Did not find attribute key_store_name
13:07:06,114 WARN  [org.jgroups.jmx.ResourceDMBean] (RMI TCP Connection(1)-127.0.0.1) JGRP000007: failed reading value of attribute sym_algorithm: java.lang.IllegalAccessException: Class org.jgroups.jmx.ResourceDMBean$MethodAccessor can not access a member of class org.jgroups.protocols.ENCRYPT with modifiers "protected"
13:07:06,114 WARN  [org.jgroups.jmx.ResourceDMBean] (RMI TCP Connection(1)-127.0.0.1) Did not find attribute sym_algorithm
13:07:06,115 WARN  [org.jgroups.jmx.ResourceDMBean] (RMI TCP Connection(1)-127.0.0.1) JGRP000007: failed reading value of attribute sym_init: java.lang.IllegalAccessException: Class org.jgroups.jmx.ResourceDMBean$MethodAccessor can not access a member of class org.jgroups.protocols.ENCRYPT with modifiers "protected"
13:07:06,115 WARN  [org.jgroups.jmx.ResourceDMBean] (RMI TCP Connection(1)-127.0.0.1) Did not find attribute sym_init
13:07:06,116 WARN  [org.jgroups.jmx.ResourceDMBean] (RMI TCP Connection(1)-127.0.0.1) JGRP000007: failed reading value of attribute sym_provider: java.lang.IllegalAccessException: Class org.jgroups.jmx.ResourceDMBean$MethodAccessor can not access a member of class org.jgroups.protocols.ENCRYPT with modifiers "protected"
13:07:06,116 WARN  [org.jgroups.jmx.ResourceDMBean] (RMI TCP Connection(1)-127.0.0.1) Did not find attribute sym_provider
13:07:06,135 WARN  [org.jgroups.jmx.ResourceDMBean] (RMI TCP Connection(1)-127.0.0.1) JGRP000007: failed reading value of attribute sym_provider: java.lang.IllegalAccessException: Class org.jgroups.jmx.ResourceDMBean$MethodAccessor can not access a member of class org.jgroups.protocols.ENCRYPT with modifiers "protected"
13:07:06,137 WARN  [org.jgroups.jmx.ResourceDMBean] (RMI TCP Connection(1)-127.0.0.1) JGRP000007: failed reading value of attribute sym_init: java.lang.IllegalAccessException: Class org.jgroups.jmx.ResourceDMBean$MethodAccessor can not access a member of class org.jgroups.protocols.ENCRYPT with modifiers "protected"
13:07:06,138 WARN  [org.jgroups.jmx.ResourceDMBean] (RMI TCP Connection(1)-127.0.0.1) JGRP000007: failed reading value of attribute asym_algorithm: java.lang.IllegalAccessException: Class org.jgroups.jmx.ResourceDMBean$MethodAccessor can not access a member of class org.jgroups.protocols.ENCRYPT with modifiers "protected"
13:07:06,140 WARN  [org.jgroups.jmx.ResourceDMBean] (RMI TCP Connection(1)-127.0.0.1) JGRP000007: failed reading value of attribute asym_init: java.lang.IllegalAccessException: Class org.jgroups.jmx.ResourceDMBean$MethodAccessor can not access a member of class org.jgroups.protocols.ENCRYPT with modifiers "protected"
13:07:06,143 WARN  [org.jgroups.jmx.ResourceDMBean] (RMI TCP Connection(1)-127.0.0.1) JGRP000007: failed reading value of attribute sym_algorithm: java.lang.IllegalAccessException: Class org.jgroups.jmx.ResourceDMBean$MethodAccessor can not access a member of class org.jgroups.protocols.ENCRYPT with modifiers "protected"
13:07:06,144 WARN  [org.jgroups.jmx.ResourceDMBean] (RMI TCP Connection(1)-127.0.0.1) JGRP000007: failed reading value of attribute asym_provider: java.lang.IllegalAccessException: Class org.jgroups.jmx.ResourceDMBean$MethodAccessor can not access a member of class org.jgroups.protocols.ENCRYPT with modifiers "protected"
13:07:06,145 WARN  [org.jgroups.jmx.ResourceDMBean] (RMI TCP Connection(1)-127.0.0.1) JGRP000007: failed reading value of attribute key_store_name: java.lang.IllegalAccessException: Class org.jgroups.jmx.ResourceDMBean$MethodAccessor can not access a member of class org.jgroups.protocols.ENCRYPT with modifiers "protected"

Comment 3 Alan Field 2014-09-03 08:43:11 UTC
Removing from 6.3.1, since there is no fix right now

Comment 4 Dave Stahl 2014-11-26 20:28:49 UTC
This should be fixed by the upgrade to JGroups 3.6.0.Final-redhat-1 (https://bugzilla.redhat.com/show_bug.cgi?id=1155658)


Note You need to log in before you can comment on or make changes to this bug.